Update a webhook endpoint
PATCH
/v1/webhooks/{webhook_id}
curl -X PATCH "https://us1.platform.bird.com/v1/webhooks/{webhook_id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Updates one or more fields on the webhook endpoint. All fields are optional. Setting status to "active" re-enables a paused endpoint.
Corpo da requisição
url
string
New HTTPS URL to deliver events to.
description
string
Human-readable label for this endpoint.
events
array of string
Replacement set of event type subscriptions.
status
string
Set to "active" to re-enable a paused endpoint, or "paused" to stop delivery.
Payload de resposta
id
string
obrigatório
url
string
obrigatório
description
string
events
array of string
obrigatório
Concrete event types this endpoint is subscribed to.
status
string
obrigatório
created_at
string
obrigatório
updated_at
string
obrigatório